summaryrefslogtreecommitdiffstats
path: root/multimedia/obs-studio
diff options
context:
space:
mode:
author Christoph Willing <chris.willing@linux.com>2018-08-31 14:18:34 +1000
committer Christoph Willing <chris.willing@linux.com>2018-08-31 14:21:56 +1000
commit1729445a730006f0534ecf608b093d18869ceb00 (patch)
tree5805a22947ce484efce5174137f7a4bbef1d170f /multimedia/obs-studio
parentad7bdcdbbe50866cecdcb0c4f3aa0ead6ec8407e (diff)
downloadslackbuilds-1729445a730006f0534ecf608b093d18869ceb00.tar.gz
slackbuilds-1729445a730006f0534ecf608b093d18869ceb00.tar.xz
multimedia/obs-studio: Updated for version 22.0.2
Signed-off-by: Christoph Willing <chris.willing@linux.com>
Diffstat (limited to 'multimedia/obs-studio')
-rw-r--r--multimedia/obs-studio/README2
-rw-r--r--multimedia/obs-studio/obs-studio.SlackBuild14
-rw-r--r--multimedia/obs-studio/obs-studio.info6
3 files changed, 17 insertions, 5 deletions
diff --git a/multimedia/obs-studio/README b/multimedia/obs-studio/README
index a6ded6ef7a..45c57b912d 100644
--- a/multimedia/obs-studio/README
+++ b/multimedia/obs-studio/README
@@ -1,3 +1,5 @@
This project is a rewrite of what was formerly known as "Open Broadcaster Software", software originally designed for recording and streaming live video content, efficiently.
For full functionality, plug-ins using jack-audio-connection-kit and vlc will be constructed if those packages (all available at SBo) are detected at build time.
+
+Another optional build requirement is the mbedtls package which is used to provide RTMPS support. However it will be disabled unless at least version 2.7.0 of the mbedtls package is detected at build time.
diff --git a/multimedia/obs-studio/obs-studio.SlackBuild b/multimedia/obs-studio/obs-studio.SlackBuild
index 422c255215..c286551d7f 100644
--- a/multimedia/obs-studio/obs-studio.SlackBuild
+++ b/multimedia/obs-studio/obs-studio.SlackBuild
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=obs-studio
-VERSION=${VERSION:-22.0.1}
+VERSION=${VERSION:-22.0.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -70,6 +70,16 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# Check for mbedtls existence and version suitability (need at least version 2.7.0)
+mbedtls="-DMBEDTLS_LIB=OFF"
+if test -e /usr/include/mbedtls/version.h ; then
+ version_number_line=$(grep MBEDTLS_VERSION_NUMBER /usr/include/mbedtls/version.h)
+ if [ "$?" = "0" ]; then
+ version_number=$(expr substr $(echo $version_number_line | rev | cut -d' ' -f1 | rev) 3 8)
+ if expr $version_number \> 02070000 1>/dev/null ; then mbedtls="" ; fi
+ fi
+fi
+
mkdir -p build
cd build
cmake \
@@ -79,7 +89,7 @@ cd build
-DOBS_MULTIARCH_SUFFIX="$LIBDIRSUFFIX" \
-DOBS_VERSION_OVERRIDE=${VERSION} \
-DUNIX_STRUCTURE=ON \
- -DUSE_SSL=ON \
+ $mbedtls \
-DCMAKE_BUILD_TYPE=Release ..
make
make install DESTDIR=$PKG
diff --git a/multimedia/obs-studio/obs-studio.info b/multimedia/obs-studio/obs-studio.info
index 08ee1c7f41..b1acdb2d7d 100644
--- a/multimedia/obs-studio/obs-studio.info
+++ b/multimedia/obs-studio/obs-studio.info
@@ -1,8 +1,8 @@
PRGNAM="obs-studio"
-VERSION="22.0.1"
+VERSION="22.0.2"
HOMEPAGE="https://obsproject.com/"
-DOWNLOAD="https://github.com/obsproject/obs-studio/archive/22.0.1/obs-studio-22.0.1.tar.gz"
-MD5SUM="7d9ad616caaa3bd0f93a2af26407edfe"
+DOWNLOAD="https://github.com/obsproject/obs-studio/archive/22.0.2/obs-studio-22.0.2.tar.gz"
+MD5SUM="8c63cdc08a4510f288d174c65b252544"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="faac ffmpeg jansson qt5 rtmpdump x264 jack-audio-connection-kit libfdk-aac"